Bug 742605 - (netcdf-cxx4) Review Request: netcdf-cxx4 - netCDF-4 C++ library
Review Request: netcdf-cxx4 - netCDF-4 C++ library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-30 14:01 EDT by Orion Poplawski
Modified: 2013-04-12 10:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-12 11:25:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2011-09-30 14:01:54 EDT
Spec URL: http://www.cora.nwra.com/~orion/fedora/netcdf-cxx4.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/netcdf-cxx4-4.2-1.fc15.src.rpm
Description:
netCDF-4 C++ library.
Comment 1 Orion Poplawski 2011-10-03 10:39:48 EDT
Spec URL: http://www.cora.nwra.com/~orion/fedora/netcdf-cxx4.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/netcdf-cxx4-4.2-2.fc15.src.rpm

* Mon Oct 3 2011 Orion Poplawski <orion@cora.nwra.com> - 4.2-2
- Use %%{?_isa} in Requires
- Change -static to require the -devel package
Comment 2 Jon Ciesla 2012-03-07 09:21:07 EST
I'll do this today.
Comment 3 Jon Ciesla 2012-03-07 09:22:24 EST
Spec and SRPM are 404.
Comment 4 Orion Poplawski 2012-03-07 09:30:17 EST
Try now, we had network issues earlier.
Comment 5 Jon Ciesla 2012-03-07 09:34:47 EST
Got both, thanks!
Comment 6 Jon Ciesla 2012-03-07 09:55:46 EST
Good:

- rpmlint checks return:

netcdf-cxx4.src: W: summary-not-capitalized C netCDF-4 C++ library
Summary doesn't begin with a capital letter.

1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Minor.

- package meets naming guidelines
- package meets packaging guidelines
- license ( NetCDF ) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file
- devel package ok
- no .la files
- post/postun ldconfig ok
- devel requires base package n-v-r 

What about shipping examples/ in %doc?

Otherwise, good.
Comment 7 Orion Poplawski 2012-03-07 14:02:53 EST
I'd forgotten that I was working on making a parallel version, so here it is:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3865317

Spec URL: http://www.cora.nwra.com/~orion/fedora/netcdf-cxx4.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/netcdf-cxx4-4.2-3.fc16.src.rpm

* Wed Mar 7 2012 Orion Poplawski <orion@cora.nwra.com> - 4.2-3
- Build parallel versions
- Ship examples with -devel


Capitalized summary as well.
Comment 8 Jon Ciesla 2012-03-07 14:14:01 EST
Hmm. I can't build it, no netcdf-mpich2-devel.
Comment 9 Orion Poplawski 2012-03-07 14:17:40 EST
Yeah, that was just built today in rawhide.  That's why I posted the scratch build.
Comment 10 Jon Ciesla 2012-03-07 14:29:28 EST
I grabbed rawhide's netcdf, and was rebuilding it for f16, and I got:

popd
~/rpmbuild/BUILD/netcdf-4.2-rc2
+ export CC=mpicc
+ CC=mpicc
+ for mpi in mpich2 openmpi
+ mkdir mpich2
+ pushd mpich2
~/rpmbuild/BUILD/netcdf-4.2-rc2/mpich2 ~/rpmbuild/BUILD/netcdf-4.2-rc2
+ module load mpich2-x86_64
/var/tmp/rpm-tmp.pJoz9a: line 76: module: command not found
error: Bad exit status from /var/tmp/rpm-tmp.pJoz9a (%build)
Comment 11 Orion Poplawski 2012-03-07 15:21:42 EST
Did you get a new shell after environment-modules was installed?
Comment 12 Jon Ciesla 2012-03-07 15:41:41 EST
No, that fixed it.  Ok, let's see. . .
Comment 13 Jon Ciesla 2012-03-07 16:12:57 EST
New rpmlint output:

netcdf-cxx4.spec:137: W: configure-without-libdir-spec
A configure script is run without specifying the libdir. configure options
must be augmented with something like --libdir=%{_libdir} whenever the script
supports it.

netcdf-cxx4-devel.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/netcdf-cxx4-devel-4.2/examples/pres_temp_4D_wr.cpp
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

netcdf-cxx4-devel.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/netcdf-cxx4-devel-4.2/examples/sfc_pres_temp_wr.cpp
This file has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It could prevent it from being displayed
correctly in some circumstances.

netcdf-cxx4-devel.x86_64: W: no-manual-page-for-binary ncxx4-config
Each executable in standard binary directories should have a man page.

netcdf-cxx4-mpich2.x86_64: E: library-without-ldconfig-postin /usr/lib64/mpich2/lib/libnetcdf_c++4.so.1.0.2
This package contains a library and provides no %post scriptlet containing a
call to ldconfig.

netcdf-cxx4-mpich2.x86_64: E: library-without-ldconfig-postun /usr/lib64/mpich2/lib/libnetcdf_c++4.so.1.0.2
This package contains a library and provides no %postun scriptlet containing a
call to ldconfig.

netcdf-cxx4-mpich2-devel.x86_64: W: only-non-binary-in-usr-lib
There are only non binary files in /usr/lib so they should be in /usr/share.

netcdf-cxx4-mpich2-devel.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

netcdf-cxx4-mpich2-static.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

netcdf-cxx4-openmpi.x86_64: E: library-without-ldconfig-postin /usr/lib64/openmpi/lib/libnetcdf_c++4.so.1.0.2
This package contains a library and provides no %post scriptlet containing a
call to ldconfig.

netcdf-cxx4-openmpi.x86_64: E: library-without-ldconfig-postun /usr/lib64/openmpi/lib/libnetcdf_c++4.so.1.0.2
This package contains a library and provides no %postun scriptlet containing a
call to ldconfig.

netcdf-cxx4-openmpi-devel.x86_64: W: only-non-binary-in-usr-lib
There are only non binary files in /usr/lib so they should be in /usr/share.

netcdf-cxx4-openmpi-devel.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

netcdf-cxx4-openmpi-static.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

netcdf-cxx4-static.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.
Comment 14 Orion Poplawski 2012-03-07 16:26:26 EST
(In reply to comment #13)
> New rpmlint output:
> 
> netcdf-cxx4.spec:137: W: configure-without-libdir-spec
> A configure script is run without specifying the libdir. configure options
> must be augmented with something like --libdir=%{_libdir} whenever the script
> supports it.

False positive, probably from   ln -s ../configure .

> netcdf-cxx4-devel.x86_64: W: wrong-file-end-of-line-encoding
> /usr/share/doc/netcdf-cxx4-devel-4.2/examples/pres_temp_4D_wr.cpp
> This file has wrong end-of-line encoding, usually caused by creation or
> modification on a non-Unix system. It could prevent it from being displayed
> correctly in some circumstances.
> 
> netcdf-cxx4-devel.x86_64: W: wrong-file-end-of-line-encoding
> /usr/share/doc/netcdf-cxx4-devel-4.2/examples/sfc_pres_temp_wr.cpp
> This file has wrong end-of-line encoding, usually caused by creation or
> modification on a non-Unix system. It could prevent it from being displayed
> correctly in some circumstances.

Fixed. 

> netcdf-cxx4-devel.x86_64: W: no-manual-page-for-binary ncxx4-config
> Each executable in standard binary directories should have a man page.

I'm not going to fix this, but I'll pass it along upstream.

> netcdf-cxx4-mpich2.x86_64: E: library-without-ldconfig-postin
> /usr/lib64/mpich2/lib/libnetcdf_c++4.so.1.0.2
> This package contains a library and provides no %post scriptlet containing a
> call to ldconfig.
> 
> netcdf-cxx4-mpich2.x86_64: E: library-without-ldconfig-postun
> /usr/lib64/mpich2/lib/libnetcdf_c++4.so.1.0.2
> This package contains a library and provides no %postun scriptlet containing a
> call to ldconfig.

These are not in the linker path.

> netcdf-cxx4-mpich2-devel.x86_64: W: only-non-binary-in-usr-lib
> There are only non binary files in /usr/lib so they should be in /usr/share.

This is how we are currently packaging mpi devel stuff.

> netcdf-cxx4-mpich2-devel.x86_64: W: no-documentation
> The package contains no documentation (README, doc, etc). You have to include
> documentation files.
> 
> netcdf-cxx4-mpich2-static.x86_64: W: no-documentation
> The package contains no documentation (README, doc, etc). You have to include
> documentation files.

I don't see any relevant documentation.
 
Spec URL: http://www.cora.nwra.com/~orion/fedora/netcdf-cxx4.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/netcdf-cxx4-4.2-4.fc16.src.rpm

* Wed Mar 7 2012 Orion Poplawski <orion@cora.nwra.com> - 4.2-4
- Fix line endings
Comment 15 Jon Ciesla 2012-03-07 21:12:39 EST
Much better.

APPROVED.
Comment 16 Orion Poplawski 2012-03-09 12:03:38 EST
New Package SCM Request
=======================
Package Name: netcdf-fortran
Short Description: Fortran libraries for NetCDF-4
Owners: orion
Branches: f17 f16 f15 el6
InitialCC:
Comment 17 Orion Poplawski 2012-03-09 12:04:54 EST
Sorry, confused

New Package SCM Request
=======================
Package Name: netcdf-cxx4
Short Description: NetCDF-4 C++ library
Owners: orion
Branches: f17 f16 f15 el6
InitialCC:
Comment 18 Jon Ciesla 2012-03-09 12:07:08 EST
Git done (by process-git-requests).
Comment 19 Orion Poplawski 2012-03-12 11:25:39 EDT
Checked in and built.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.